Skip to main content
Gets statistics about a hopper such as how many players are in it.

Syntax

Parameters

xboxLiveContext   _In_
Type: XblContextHandle
XBOX live context for the local user. serviceConfigurationId   _In_
Type: char*
The Service Configuration ID (SCID) for the title. The SCID is considered case sensitive so paste it directly from the Partner Center. hopperName   _In_
Type: char*
The name of the hopper to query stats for. asyncBlock   _In_
Type: XAsyncBlock*
The AsyncBlock for this operation.

Return value

Type: HRESULT HRESULT return code for this API operation.

REST Call

Calls V103 GET /serviceconfigs/{serviceConfigId}/hoppers/{hopperName}/stats

Requirements

Header: matchmaking_c.h Library: Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

See also

matchmaking_c
Last modified on October 29, 2026